Last Comment Bug 834290 - Add support for iPads and iPhones in useragent strings
: Add support for iPads and iPhones in useragent strings
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Creating/Changing Bugs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Bugzilla 4.4
Assigned To: Frédéric Buclin
: default-qa
:
Mentors:
Depends on:
Blocks: 905537
  Show dependency treegraph
 
Reported: 2013-01-24 09:15 PST by David Weir (satdav)
Modified: 2013-08-15 00:51 PDT (History)
4 users (show)
mail: approval+
mail: approval4.4+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (1.28 KB, patch)
2013-07-29 16:49 PDT, Frédéric Buclin
dkl: review+
Details | Diff | Splinter Review

Description David Weir (satdav) 2013-01-24 09:15:30 PST
So aware it thinks the iphones running IOS 6 is mac x 

for when trying to guess what os you are running
Comment 1 Frédéric Buclin 2013-07-29 16:49:33 PDT
Created attachment 782852 [details] [diff] [review]
patch, v1
Comment 2 David Lawrence [:dkl] 2013-07-30 13:10:14 PDT
Comment on attachment 782852 [details] [diff] [review]
patch, v1

Review of attachment 782852 [details] [diff] [review]:
-----------------------------------------------------------------

r=dkl
Comment 3 mail 2013-07-31 16:28:40 PDT
Given that neither iOS or separate versions are not in Bugzilla::DB's ENUM_DEFAULTS, should this patch really go upstream or is it better suited to BMO?
Comment 4 Frédéric Buclin 2013-07-31 16:30:45 PDT
(In reply to Simon Green from comment #3)
> Given that neither iOS or separate versions are not in Bugzilla::DB's
> ENUM_DEFAULTS, should this patch really go upstream or is it better suited
> to BMO?

Upstream. We decided some years ago to implement the logic to get the correct platform and OS, and let admins add the ones relevant to their installation.
Comment 5 mail 2013-07-31 16:32:00 PDT
(In reply to Frédéric Buclin from comment #4)
> Upstream. We decided some years ago to implement the logic to get the
> correct platform and OS, and let admins add the ones relevant to their
> installation.

Thanks for the clarification.
Comment 6 Frédéric Buclin 2013-07-31 18:25:50 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla/UserAgent.pm
Committed revision 8681.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.4/
modified Bugzilla/UserAgent.pm
Committed revision 8587.
Comment 7 David Weir (satdav) 2013-08-15 00:09:28 PDT
Hi matt do you know the user ident for the touch
Comment 8 Matthew N. [:MattN] (In Taipei until Sep. 23) 2013-08-15 00:51:09 PDT
Wrong bug it seems. In bug 905537 comment 0 I explained that the regex's need to look for "iPod" as well as the two others.

Note You need to log in before you can comment on or make changes to this bug.